import java.util.Random;


class NetworkIP {
	int[] data = new int[4];

	public NetworkIP(int a, int b, int c, int d) {
		// Check if data is valid, then assign it
        if (a >= 0 && a <= 255 && b >= 0 && b <= 255 && c >= 0 && c <= 255 && d >= 0 && d <= 255) {
            data[0] = a;
            data[1] = b;
            data[2] = c;
            data[3] = d;
        } else {
            System.out.println("Invalid IP address");
        }
	}
	
	public String strDomaine() {
		String result = "";
        for (int i = 0; i < 4; i++) {
            result += data[i];
            if (i < 3) {
                result += ".";
            }
        }
        return result;
	}
}

class UseNetworkIP {

    public static void main(String[] args) {
        NetworkIP[] addresses = new NetworkIP[5];

        for (int i = 0; i < 5; i++) {
            Random rand = new Random();
            addresses[i] = new NetworkIP(rand.nextInt(256), rand.nextInt(256), rand.nextInt(256), rand.nextInt(256));
            System.out.println(addresses[i].strDomaine());
        }
        
    }

}