package tp04;

public class Person {

    final private int ID;
    private String forename;
    private String name;

    private static int counter;

    public Person(String forename, String name) {
        this.forename = forename;
        this.name = name;

        this.ID = Person.counter;
        Person.counter++;
    }

    public void setName(String newName) {
        this.name = newName;
    }

    public String getName() {
        return this.name;
    }

    public void setForename(String newForename) {
        this.forename = newForename;
    }

    public String getForename() {
        return this.forename;
    }

    public int getID() {
        return this.ID;
    }

    public String toString() {
        return "" + this.ID + ": " + this.forename + " " + this.name;
    }

    public boolean equals(Object other) {
        if (other == null) {
            return false;
        }
        if (other.getClass() == this.getClass()) {
            Person otherPerson = (Person) other;
            return otherPerson.getID() == this.ID;
        }
        return false;
    }

}